From 7bc0ca362f9111d2baef1ce237c9ae740923737b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 04 2021 08:57:12 +0000
Subject: [PATCH 2044/2232] Preserve mod and brace token spans in macro output


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index d4ceb3d..7e666b2 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -114,16 +114,17 @@ fn expand(ffi: Module, doc: Doc, attrs: OtherAttrs, apis: &[Api], types: &Types)
     }
 
     let vis = &ffi.vis;
+    let mod_token = &ffi.mod_token;
     let ident = &ffi.ident;
+    let span = ffi.brace_token.span;
+    let expanded = quote_spanned!(span=> {#expanded});
 
     quote! {
         #doc
         #attrs
         #[deny(improper_ctypes)]
         #[allow(non_snake_case)]
-        #vis mod #ident {
-            #expanded
-        }
+        #vis #mod_token #ident #expanded
     }
 }
 

